#!/bin/sh
echo 'name: monad-par
version: 0.3
id: monad-par-0.3-40253e25c5b6515602a8d7adaa75f85d

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: This library offers an alternative parallel programming
             API to that provided by the @parallel@ package.
             A '\''Par'\'' monad allows the simple description of
             parallel computations, and can be used to add
             parallelism to pure Haskell code.  The basic API
             is straightforward: the monad supports forking
             and simple communication in terms of '\''IVar'\''s.
             The library comes with a work-stealing
             implementation, but the internals are also
             exposed so that you can build your own scheduler
             if necessary.
             Examples of use can be found in the examples/ directory
             of the source package.
             The modules below provide additionaly schedulers,
             data structures, and other added capabilities
             layered on top of the '\''Par'\'' monad.
category: Control,Parallelism,Monads
author: Simon Marlow
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/monad-par-0.3
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/monad-par-0.3
              /usr/local/lib
hs-libraries: HSmonad-par-0.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: abstract-deque-0.1.5-dd08d825ec7f8cb51b2edae7bf570ab8
         abstract-par-0.3.1-86aaca59773856e95273be6f0ae62632
         array-0.4.0.0-0b32f6f98c0297dbb0e5cfc0087bd1f0
         base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         containers-0.4.2.1-7c54595400348f577b3b4a45691c5afd
         deepseq-1.3.0.0-6c19ec61ee16184ee322c1614ab60f0e
         monad-par-extras-0.3.2-7f721aedeeb0d2c77033d8bc810c44a4
         mtl-2.1.1-ae9b44386a2528180e60dcf2412689c0
         mwc-random-0.12.0.0-2d78514ecfb165611a922586cf4af72a
         parallel-3.2.0.2-e513f17942b2ee5c41cde1ef99dea764
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/monad-par-0.3/html/monad-par.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/monad-par-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
